# Uses of Interface
java.lang.classfile.Signature.BaseTypeSig

Packages that use Signature.BaseTypeSig
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.

## Uses of Signature.BaseTypeSig in java.lang.classfile

Methods in java.lang.classfile that return Signature.BaseTypeSig
Modifier and Type
Method
Description
`static Signature.BaseTypeSig`
Signature.BaseTypeSig.`of(char baseType)`
Returns the signature of a primitive type or void.
`static Signature.BaseTypeSig`
Signature.BaseTypeSig.`of(ClassDesc classDesc)`
Returns the signature of a primitive type or void.